#****************************************************************************
#**
#**  File     :  /cdimage/units/URB4202/URB4202_script.lua
#**  Author(s):  David Tomandl
#**
#**  Summary  :  Cybran Shield Generator Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CShieldStructureUnit = import('/lua/cybranunits.lua').CShieldStructureUnit
local Shield = import('/lua/shield.lua').Shield

URB4202 = Class(CShieldStructureUnit) {
    
    ShieldEffects = {'/effects/emitters/cybran_shield_generator_01_emit.bp',},
    #
  #  OnStopBeingBuilt = function(self,builder,layer)
   #     CShieldStructureUnit.OnStopBeingBuilt(self,builder,layer)
   #     self.Rotator1 = CreateRotator(self, 'Shaft', 'z', nil, 30, 5, 30)
   #    self.Trash:Add(self.Rotator1)
#		self.ShieldEffectsBag = {}
  #  end,

#    OnShieldEnabled = function(self)
  #      CShieldStructureUnit.OnShieldEnabled(self)
   #     if self.Rotator1 then
  #          self.Rotator1:SetTargetSpeed(10)
  #      end
        
        if self.ShieldEffectsBag then
          for k, v in self.ShieldEffectsBag do
                v:Destroy()
           end
		    self.ShieldEffectsBag = {}
		end
        for k, v in self.ShieldEffects do
            table.insert( self.ShieldEffectsBag, CreateAttachedEmitter( self, 'Shaft', self:GetArmy(), v ) )
        end
    end,

    OnShieldDisabled = function(self)
        CShieldStructureUnit.OnShieldDisabled(self)
        self.Rotator1:SetTargetSpeed(0)
        
        if self.ShieldEffectsBag then
            for k, v in self.ShieldEffectsBag do
                v:Destroy()
            end
		    self.ShieldEffectsBag = {}
		end
    end,
 
}

TypeClass = URB4202

